General Questions regarding Frontend SAP BW 3.5

SAP Developer Network

This Document Provides Answers to Frequently Asked Questions About:


I am planning to use SAP BW 3.5. Which BEx frontend and SAP GUI should I use?

SAP BW 3.5 requires the SAP BW 3.5 BEx Frontend. The SAP BW 3.5 Frontend is compatible with SAP GUI 6.20 and SAP GUI 6.40. SAP GUI 6.20 is upward-compatible with SAP Web AS 6.40 based systems.

Back to top

How can I get the new SAP BW 3.5 Frontend?

The SAP BW 3.5 Frontend is shipped automatically with the SAP NetWeaver '04 software shipments.

Additionally customers can order and install the SAP BW 3.5 Frontend from the following CDs (can be ordered or downloaded from the SAP Service Marketplace):

  • SAP GUI 6.20 Compilation 6 (includes both the SAP GUI 6.20 and SAP BW 3.50 Frontend)

  • SAP GUI 6.40 Compilation 1 or greater (includes both the SAP GUI 6.40 and SAP BW 3.50 Frontend)

Back to top

Is an upgrade to SAP GUI 6.40 of all my PC clients required to use SAP BW 3.50?

No, two options are available (assuming you are already using SAP GUI 6.20 or greater):

  • SAP BW 3.5 based on SAP GUI 6.20

  • SAP BW 3.5 based on SAP GUI 6.40

Back to top

I'm using other components of SAP NetWeaver '04 which require SAP GUI 6.40. Which SAP NetWaever BI Frontend will I be using?

SAP GUI 6.40 includes the SAP BW 3.5 Frontend. It is not possible to use previous SAP NetWaever BI Frontends with SAP GUI 6.40. The SAP BW 3.50 Frontend is downward-compatible to SAP BW 2.x and SAP BW 3.x systems.

Back to top

What options are available to upgrade my SAP NetWaever BI BEx Frontend to SAP BW 3.5?

There are 3 options available for upgrading an existing SAP BI BEx Frontend to SAP BW 3.5 (assuming you have an existing SAP BW 3.x BEx frontend):

  1. Apply the latest SAPGUI 6.20 SETUP patches, latest SAPGUI 6.20 patch, and the SAP BW 3.5 Frontend patch directly to your existing BEx Frontend.

  2. Delete and re-install SAPGUI 6.20 and SAP BW 3.5 BEx Frontend from the SAP GUI 6.20 Compilation 6 CD. Apply the latest SAPGUI and SAP BW 3.5 BEx Frontend patches.

  3. Delete and re-install SAPGUI 6.40 and SAP BW 3.5 BEx Frontend from the SAP GUI 6.40 Compilation 1 CD. Apply the latest SAPGUI and SAP BW 3.5 BEx Frontend patches.

Back to top

Is the SAP NetWaever BI Frontend backwards compatible with previous SAP BW releases?

Yes, the SAP BW 3.50 Frontend is downward-compatible to SAP BW 2.x and SAP BW 3.x systems. New SAP BW 3.5 functionality and menus are hidden from end-users using earlier SAP BW releases.

Back to top

Is there a difference between SAP BW 3.0B Frontend and SAP BW 3.50 Frontend?

Yes, however for the most part this is hidden from end-users until they connect to a SAP BW 3.5 backend system.

When using the SAP BW 3.5 Frontend all users will see the new SAP NetWeaver icons and a new SAP BW 3.5 'splashscreen'.

Back to top

What is the difference between the SAP GUI 6.20 and 6.40?

  • From the SAP BI perspective there are minor differences between SAP GUI 6.20 and 6.40.

  • SAP GUI 6.40 should be used if you have specific requirements regarding Unicode (*) and Accessibility (**), or you are using other SAP NetWeaver or SAP Application that specifically require 6.40.

  • Therefore to recap, for SAP BI, you can either use SAP GUI 6.20 or SAP GUI 6.40.

  • Example when SAP GUI 6.40 should be used: You have Unicode SAP BW 3.50 system (based on SAP WAS 6.40). You need the ability to use more than one specific codepage to access SAP BI Administrator Workbench.

(*) Note: SAP GUI 6.40 supports multiple codepages however SAP BW 3.50 Frontend supports only single codepage settings on the frontend. Multiple codepages on the frontend will be supported with the next SAP BI release. The execution of BEx Web Applications natively supports multiple codepages. For more information, please see the SAP BW 3.5 Unicode section on the SAP BI homepage in the SAP Service Marketplace -> alias: bi.

(**) Note: SAP GUI 6.40 has an additional support for accessibility but this additional support is not part of SAP BW 3.50 Frontend. The additional support of accessibility will be supported with the next SAP BI release.

Back to top

Are there any major differences in the OS support for SAP GUI 6.20 and 6.40?

Currently SAP GUI 6.40 for Windows provides support for Windows 2000 and XP, SAP GUI 6.20 for Windows provides support for Windows 98, 2000 and XP. Please see SAP notes 26417 and 66971 for more details.

Back to top

What are the hardware and software requirements for the SAP BW 3.5 Frontend?

See note 161993 for SAP NetWaever BI Frontend requirements.

Back to top

How are Frontend Patches (FEPs) delivered for SAP BW 3.5?

SAP BW Frontend patches can be downloaded in the Software Distribution Center (-> Download -> Support Packages & Patches -> Entry by Application Group -> SAP NetWeaver -> SAP NETWEAVER -> SAP NETWEAVER 04 -> Frontend GUIs).

Back to top

Is there a link between SAP BW 3.0B and SAP BW 3.5 FEPs? What SAP BW 3.5 and SAP BW 3.0B FEPs contain the same corrections?

As both SAP BW 3.0B and SAP BW 3.5 Frontend are currently supported on an ongoing basis, some corrections are applicable to both releases. Therefore there will be a equivalence level between the SAP BW 3.0B and SAP BW 3.5 FEPs:

  • SAP BW 3.0B Frontend Patch 11 is identical with SAP BW 3.50 Frontend Patch 0

  • SAP BW 3.0B Frontend Patch 12 is identical with SAP BW 3.50 Frontend Patch 1

  • SAP BW 3.0B Frontend Patch 13 is identical with SAP BW 3.50 Frontend Patch 2

  • And so on...

Back to top

Can you apply a SAP BW 3.5 FEP to a SAP BW 3.0B Frontend?

For the same SAP GUI release (i.e. SAP GUI 6.20), application of a SAP BW 3.5 FEP to a SAP BW 3.0B Frontend will effectively upgrade the Frontend to SAP BW 3.5. From this point onward only SAP BW 3.5 FEPs can be applied.

Back to top

Is there any dependency between SAP BW backend support packages and FEPs?

There are cases where SAP NetWaever BI backend functionality is directly linked to SAP NetWaever BI Frontend functionality. This dependency would be documented in the 'SAPBWNEWS' SAP note for the individual SAP NetWaever BI support packages.

Back to top

How long is the BEx Frontend supported?

The SAP BW 3.5 Frontend is supported as long as SAP BW 3.5 is supported (February 2007).

Back to top

How long is SAP GUI 6.20 and 6.40 supported?

Please see SAP note 147519 for details.

Back to top

Where can I find further frontend compatibility information?

Information about Frontend Compatibilities can be viewed here.

Back to top

Copyright © 2005 SAP AG, Inc. All Rights Reserved. SAP, mySAP, mySAP.com, xApps, xApp, and other SAP products and services mentioned herein as well as their respective logos are trademarks or registered trademarks of SAP AG in Germany and in several other countries all over the world. All other product, service names, trademarks and registered trademarks mentioned are the trademarks of their respective owners.

SAP Developer Network